For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update a segment

This endpoint updates the details of an existing segment using the provided segment data.

Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view this page in the new Partner APIs space of our documentation.


description: "This endpoint updates the details of an existing segment using the provided segment data."

Update a segment

Update a segment

put

This endpoint updates the details of an existing segment using the provided segment data.

Authorizations
AuthorizationstringRequired

For accessing the API a valid JWT must be passed in all queries in the 'Authorization' header. The following syntax must be used in the 'Authorization' header. (Bearer xxx.yyy.zzz)

Path parameters
segment.idstringRequired
Body
Responses
200

The updated segment

application/json
put/v1/segments/{segment.id}
PUT /v1/segments/{segment.id} HTTP/1.1
Host: customer.<env>.citrusad.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 129

{
  "segment": {
    "category": [
      "text"
    ],
    "description": "text",
    "name": "text",
    "retailerTeamId": "text",
    "segmentId": "text",
    "sourceId": "text"
  }
}
{
  "segment": {
    "category": [
      "text"
    ],
    "description": "text",
    "id": "text",
    "name": "text",
    "retailerTeamId": "text",
    "segmentId": "text",
    "sourceId": "text"
  }
}